<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

  <CORE_PARTY PARTY_ID="-1"/>
  <CORE_USER PARTY_ID="-1" LOGIN="JP01" CREATED_BY="admin" CREATED_ON="2021-03-15"/>
  <CORE_GROUP_MEMBER PARTY_ID="-1" GROUP_ID="1"/>

  <INFO_LIST INFO_LIST_ID="-180" CODE="TEST_CASE_NATURE" CREATED_BY="ADMIN" CREATED_ON="2019-08-26" LABEL="NATURE"/>
  <INFO_LIST INFO_LIST_ID="-181" CODE="TEST_CASE_TYPE" CREATED_BY="ADMIN" CREATED_ON="2019-08-26" LABEL="TYPE"/>
  <INFO_LIST INFO_LIST_ID="-182" CODE="CUSTOM" CREATED_BY="ADMIN" CREATED_ON="2019-08-26" LABEL="CUSTOM"/>

  <INFO_LIST_ITEM ITEM_ID="-180" LIST_ID="-180" ITEM_INDEX="0" LABEL="test-case.nature.NAT_UNDEFINED"
                  CODE="NAT_UNDEFINED" IS_DEFAULT="0" ITEM_TYPE="SYS"/>
  <INFO_LIST_ITEM ITEM_ID="-181" LIST_ID="-180" ITEM_INDEX="1" LABEL="test-case.nature.NAT_FUNCTIONAL_TESTING"
                  CODE="NAT_FUNCTIONAL_TESTING" IS_DEFAULT="0" ITEM_TYPE="SYS"/>
  <INFO_LIST_ITEM ITEM_ID="-182" LIST_ID="-180" ITEM_INDEX="2" LABEL="test-case.nature.NAT_BUSINESS_TESTING"
                  CODE="NAT_BUSINESS_TESTING" IS_DEFAULT="0" ITEM_TYPE="SYS"/>
  <INFO_LIST_ITEM ITEM_ID="-183" LIST_ID="-180" ITEM_INDEX="3" LABEL="test-case.nature.NAT_USER_TESTING"
                  CODE="NAT_USER_TESTING" IS_DEFAULT="0" ITEM_TYPE="SYS"/>
  <INFO_LIST_ITEM ITEM_ID="-184" LIST_ID="-181" ITEM_INDEX="0" LABEL="test-case.type.TYP_UNDEFINED" CODE="TYP_UNDEFINED"
                  IS_DEFAULT="0" ITEM_TYPE="SYS"/>
  <INFO_LIST_ITEM ITEM_ID="-185" LIST_ID="-181" ITEM_INDEX="1" LABEL="test-case.type.TYP_COMPLIANCE_TESTING"
                  CODE="TYP_COMPLIANCE_TESTING" IS_DEFAULT="0" ITEM_TYPE="SYS"/>
  <INFO_LIST_ITEM ITEM_ID="-186" LIST_ID="-181" ITEM_INDEX="2" LABEL="test-case.type.TYP_EVOLUTION_TESTING"
                  CODE="TYP_EVOLUTION_TESTING" IS_DEFAULT="0" ITEM_TYPE="SYS"/>
  <INFO_LIST_ITEM ITEM_ID="-187" LIST_ID="-182" ITEM_INDEX="0" LABEL="CUSTOM_1" CODE="CUSTOM_1" IS_DEFAULT="0"
                  ITEM_TYPE="USR"/>
  <INFO_LIST_ITEM ITEM_ID="-188" LIST_ID="-182" ITEM_INDEX="1" LABEL="CUSTOM_2" CODE="CUSTOM_2" IS_DEFAULT="0"
                  ITEM_TYPE="USR"/>


  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"/>
  <TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-1" TCL_ID="-1"/>
  <AUTOMATION_REQUEST_LIBRARY ARL_ID="-1" ATTACHMENT_LIST_ID="-1"/>
  <PROJECT PROJECT_ID="-1" ATTACHMENT_LIST_ID="-1" CREATED_ON="2012-05-05" CREATED_BY="dbunit" NAME="Project-01" TCL_ID="-1"
           TC_NATURES_LIST="-180" TC_TYPES_LIST="-181" REQ_CATEGORIES_LIST="-182" ARL_ID="-1" ALLOW_AUTOMATION_WORKFLOW="1" AUTOMATION_WORKFLOW_TYPE="NATIVE"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-2"/>
  <TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-2" TCL_ID="-2"/>
  <AUTOMATION_REQUEST_LIBRARY ARL_ID="-2" ATTACHMENT_LIST_ID="-2"/>
  <PROJECT PROJECT_ID="-2" ATTACHMENT_LIST_ID="-2" TCL_ID="-2" CREATED_ON="2012-05-05" CREATED_BY="dbunit" NAME="Project-02"  ALLOW_AUTOMATION_WORKFLOW="1" AUTOMATION_WORKFLOW_TYPE="NATIVE"
           TC_NATURES_LIST="-180" TC_TYPES_LIST="-181" REQ_CATEGORIES_LIST="-182" ARL_ID="-2"/>

  <!-- TEST CASE 1 -->
  <AUTOMATION_REQUEST AUTOMATION_REQUEST_ID="-1" PROJECT_ID="-1" REQUEST_STATUS="READY_TO_TRANSMIT"/>
  <AUTOMATION_REQUEST_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-1"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-1" CREATED_ON="2012-11-13" CREATED_BY="dbunit"
                          NAME="test-case-1" PROJECT_ID="-1"/>
  <TEST_CASE TCLN_ID="-1" PREREQUISITE="" AUTOMATABLE="Y" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1" TC_NATURE="-180"
             TC_TYPE="-184" AUTOMATION_REQUEST_ID="-1"/>

  <!-- TEST CASE 2 -->
  <AUTOMATION_REQUEST AUTOMATION_REQUEST_ID="-2" PROJECT_ID="-1" REQUEST_STATUS="AUTOMATION_IN_PROGRESS"/>
  <AUTOMATION_REQUEST_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-2"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-2" CREATED_ON="2012-11-13" CREATED_BY="dbunit"
                          NAME="test-case-2" PROJECT_ID="-1"/>
  <TEST_CASE TCLN_ID="-2" PREREQUISITE="" UUID="44d63d7e-11dd-44b0-b584-565b6f791fb2" TC_NATURE="-180"
             TC_TYPE="-184" AUTOMATION_REQUEST_ID="-2"/>

  <!-- TEST CASE 3 -->
  <AUTOMATION_REQUEST AUTOMATION_REQUEST_ID="-3" PROJECT_ID="-1" REQUEST_STATUS="READY_TO_TRANSMIT"/>
  <AUTOMATION_REQUEST_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-3"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-3" CREATED_ON="2012-11-13" CREATED_BY="dbunit"
                          NAME="test-case-3" PROJECT_ID="-1"/>
  <TEST_CASE TCLN_ID="-3" PREREQUISITE="" AUTOMATABLE="Y" UUID="44d63d7e-11dd-44b0-b584-565b6f791fc3" TC_NATURE="-180"
             TC_TYPE="-184" AUTOMATION_REQUEST_ID="-3"/>

  <!-- TEST CASE 4 -->
  <AUTOMATION_REQUEST AUTOMATION_REQUEST_ID="-4" PROJECT_ID="-1" REQUEST_STATUS="AUTOMATION_IN_PROGRESS"/>
  <AUTOMATION_REQUEST_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-4"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-4" CREATED_ON="2012-11-13" CREATED_BY="dbunit"
                          NAME="test-case-4" PROJECT_ID="-1"/>
  <TEST_CASE TCLN_ID="-4" PREREQUISITE=""  UUID="44d63d7e-11dd-44b0-b584-565b6f791fd4" TC_NATURE="-180"
             TC_TYPE="-184" AUTOMATION_REQUEST_ID="-4"/>

  <!-- TEST CASE 5 -->
  <AUTOMATION_REQUEST AUTOMATION_REQUEST_ID="-5" PROJECT_ID="-2" REQUEST_STATUS="TRANSMITTED"/>
  <AUTOMATION_REQUEST_LIBRARY_CONTENT LIBRARY_ID="-2" CONTENT_ID="-5"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-2" TCLN_ID="-5" CREATED_ON="2012-11-13" CREATED_BY="dbunit"
                          NAME="test-case-5" PROJECT_ID="-2"/>
  <TEST_CASE TCLN_ID="-5" PREREQUISITE="" AUTOMATABLE="Y" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa8" TC_NATURE="-180"
             TC_TYPE="-184" AUTOMATION_REQUEST_ID="-5"/>

  <!-- TEST CASE 6 -->
  <AUTOMATION_REQUEST AUTOMATION_REQUEST_ID="-6" PROJECT_ID="-2" REQUEST_STATUS="REJECTED"/>
  <AUTOMATION_REQUEST_LIBRARY_CONTENT LIBRARY_ID="-2" CONTENT_ID="-6"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-2" TCLN_ID="-6" CREATED_ON="2012-11-13" CREATED_BY="dbunit"
                          NAME="test-case-6" PROJECT_ID="-2"/>
  <TEST_CASE TCLN_ID="-6" PREREQUISITE="" AUTOMATABLE="Y" UUID="44d63d7e-11dd-44b0-b584-565b6f791fb6" TC_NATURE="-180"
             TC_TYPE="-184" AUTOMATION_REQUEST_ID="-6"/>

  <!-- TEST CASE 7 -->
  <AUTOMATION_REQUEST AUTOMATION_REQUEST_ID="-7" PROJECT_ID="-2" REQUEST_STATUS="WORK_IN_PROGRESS"/>
  <AUTOMATION_REQUEST_LIBRARY_CONTENT LIBRARY_ID="-2" CONTENT_ID="-7"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-2" TCLN_ID="-7" CREATED_ON="2012-11-13" CREATED_BY="dbunit"
                          NAME="test-case-7" PROJECT_ID="-2"/>
  <TEST_CASE TCLN_ID="-7" PREREQUISITE="" AUTOMATABLE="Y" UUID="44d63d7e-11dd-44b0-b584-565b6f791fc5" TC_NATURE="-180"
             TC_TYPE="-184" AUTOMATION_REQUEST_ID="-7"/>


  <!-- TEST CASE 8 -->
  <AUTOMATION_REQUEST AUTOMATION_REQUEST_ID="-8" PROJECT_ID="-2" REQUEST_STATUS="SUSPENDED"/>
  <AUTOMATION_REQUEST_LIBRARY_CONTENT LIBRARY_ID="-2" CONTENT_ID="-8"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-2" TCLN_ID="-8" CREATED_ON="2012-11-13" CREATED_BY="dbunit"
                          NAME="test-case-8" PROJECT_ID="-2"/>
  <TEST_CASE TCLN_ID="-8" PREREQUISITE="" AUTOMATABLE="Y" UUID="44d63d7e-11dd-44b0-b584-565b6f791fe6" TC_NATURE="-180"
             TC_TYPE="-184" AUTOMATION_REQUEST_ID="-8"/>

</dataset>
